Create Collection
Creates a vector store collection for searchable embeddings.
Body
application/jsonCreate Vector Store Request Payload
-
name string required
The name of the vector store collection. This is also used to auto-generate a unique ID for the record.
Responses
OK
application/json · get-vector-store-response-payload
Bad Request, including a request that failed validation (the message names the rejected field) and a collection, item or file that does not exist. The body is the error envelope.
application/json · error-payload
The API key is missing, unknown or not active. Send it as Authorization: Bearer <key>.
application/json · error-payload
curl https://api.vultrinference.com/v1/vector_store \
-H "Authorization: Bearer $VULTR_INFERENCE_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"name": "string"
}'import os
import requests
response = requests.post(
"https://api.vultrinference.com/v1/vector_store",
headers={"Authorization": f"Bearer {os.environ['VULTR_INFERENCE_API_KEY']}"},
json={
"name": "string",
},
)
print(response.json())const response = await fetch("https://api.vultrinference.com/v1/vector_store", {
method: "POST",
headers: {
Authorization: `Bearer ${process.env.VULTR_INFERENCE_API_KEY}`,
"Content-Type": "application/json",
},
body: JSON.stringify({
"name": "string"
}),
});
console.log(await response.json());Response · 201
{
"collection": {
"id": "string",
"name": "string",
"created": "string"
}
}